#
# spec file for package sdpnetstat (Version 1.60)
#
# Copyright (c) 2010 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           sdpnetstat
Url:            http://www.openfabrics.org
License:        GPL v2 or later
Group:          Productivity/Networking/Other
AutoReqProv:    on
Version:        1.60
Release:        0.14.31
Summary:        netstat for SDP
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Source:         %{name}-%{version}-0.2.g8844f04.tar.bz2
Source1:        ftp://ftp.lst.de/pub/people/okir/traceroute/traceroute-1.0.4.tar.bz2
Source2:        netstat.xinetd
Source3:        nstrcmp.c
Patch:          net-tools-%{version}.dif
Patch1:         netstat-trunc.dif
Patch2:         manpages.diff
Patch4:         net-tools-1.60-multilinestr.diff
Patch7:         net-tools-1.60-long_to_int.diff
Patch8:         net-tools-1.60-compoundstatement.diff
Patch9:         nameif-rename.patch
Patch10:        net-tools-1.60-errors.patch
Patch11:        net-tools-1.60-cont-buff.patch
Patch12:        net-tools-1.60-miioff.diff
Patch13:        net-tools-1.60-nameif.diff
Patch14:        net-tools-1.60-sockios-SIOCGMIIPHY.diff
Patch15:        net-tools-1.60-numericstuff.diff
Patch16:        net-tools-1.60-if_tr.diff
Patch17:        traceroute-LDOPTS.diff
Patch18:        net-tools-1.60-netstat.8.diff
Patch20:        net-tools-1.60-interface_stack.patch
Patch21:        net-tools-1.60-arp-unaligned-access.patch
Patch22:        net-tools-1.60-snmp-counter-overflow.patch
Patch23:        net-tools-1.60-netstat-output.patch
Patch24:        net-tools-1.60-netstat-p.patch
Patch25:        net-tools-1.60-sctp.patch
Patch26:        net-tools-1.60-sctp-quiet

%description
netstat for SDP



Authors:
--------
    Fred N. van Kempen <waltje@uwalt.nl.mugnet.org>
    Bernd Eckenfels <net-tools@lina.inka.de>
    Fred Baumgarten <dc6iq@insu1.etec.uni-karlsruhe.de>
    Peter Tobias <tobias@et-inf.fho-emden.de>
    Olaf Kirch <okir@suse.de>

%prep
%setup -q -a1
cp %{S:3} lib/
%patch
%patch1
%patch2 -p1
%patch4
%patch7 -p1
%patch8 -p1
%patch9
%patch10 -p1 -b .errors
%patch11 -p1
%patch12 -p1
%patch13 -p1
%patch14 -p1
%patch15 -p1
%patch16 -p1
%patch17 -p1
%patch18 -p1
%patch20
%patch21 -p1
%patch22 -p1
%patch23 -p1
%patch24 -p1
%patch25 -p1
%patch26 -p1

%build
make config
make COPTS="-D_GNU_SOURCE $RPM_OPT_FLAGS" LOPTS=""
cd traceroute-*
make CCOPTS="$RPM_OPT_FLAGS -fpie" LDOPTS="-pie"
cd ..

%install
install -d -m 755 $RPM_BUILD_ROOT/etc/xinetd.d
install -m 644 %{S:2} $RPM_BUILD_ROOT/etc/xinetd.d/netstat
make install BASEDIR=$RPM_BUILD_ROOT
for tool in \
%ifarch s390
		plipconfig slattach \
%endif
		nisdomainname ypdomainname mii-tool
do
	rm -f $RPM_BUILD_ROOT/*bin/$tool
	rm -f $RPM_BUILD_ROOT/%{_mandir}/man*/$tool.*
	rm -f $RPM_BUILD_ROOT/%{_mandir}/*/man*/$tool.*
done
cd traceroute-*
mkdir -p $RPM_BUILD_ROOT/usr/sbin
make DESTDIR=$RPM_BUILD_ROOT CCOPTS="$RPM_OPT_FLAGS" install
cp traceroute.1 $RPM_BUILD_ROOT/%{_mandir}/man1/
ln -s traceroute.1 $RPM_BUILD_ROOT/%{_mandir}/man1/traceroute6.1
cd ..
# sdpnetstat hacks
mv $RPM_BUILD_ROOT/bin/netstat $RPM_BUILD_ROOT/bin/sdpnetstat
rm -rf $RPM_BUILD_ROOT/sbin/
rm -rf $RPM_BUILD_ROOT/usr/sbin/
rm -rf $RPM_BUILD_ROOT%_mandir/
rm -rf $RPM_BUILD_ROOT%_datadir/locale
rm -rf $RPM_BUILD_ROOT/etc
rm -f $RPM_BUILD_ROOT/bin/dnsdomainname
rm -f $RPM_BUILD_ROOT/bin/domainname
rm -f $RPM_BUILD_ROOT/bin/hostname

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/bin/sdpnetstat

%changelog
* Wed Nov  3 2010 stefan.fent@novell.com
- fix broken patches
* Wed May 26 2010 jjolly@novell.com
- Added postfix -0.2.g8844f04 to tarball from OFED 1.5.1
- Fixed config.in patch as IPv6 is default yes already
- Removed strictaliasing patch (fixes already included)
- Updated sctp patch
- Removed patches that have been long-commented
* Wed Oct 22 2008 jjolly@suse.de
- Updated to package from the OFED 1.3.1 release
* Sat Mar  1 2008 jjolly@suse.de
- Updated from OFED 1.3 GA release
* Thu Jan 31 2008 jjolly@suse.de
- Updated to release from OFED 1.3 rc2 (still ver. 1.60)
- Added sdp references
- Removed sdp patch (part of main package, now)
* Mon Jul  9 2007 hvogel@suse.de
- Initial Package, Version 1.60
